Commit fd1d1098 authored by Nikolai Kosjar's avatar Nikolai Kosjar

Clang: Require LLVM >= 3.9.0

We already ship with a cherry-picked change from version 3.9.

Change-Id: Iad09ac8db470506c5de0321f3a2346c549b11b31
Reviewed-by: Marco Bubke's avatarMarco Bubke <marco.bubke@qt.io>
Reviewed-by: Eike Ziller's avatarEike Ziller <eike.ziller@qt.io>
parent bf0c4e7c
......@@ -25,7 +25,7 @@ Prerequisites:
* cmake
* On Mac OS X: latest Xcode
* On Linux: g++ 4.8 or later
* LLVM 3.8.0 or later (optional, needed for the Clang Code Model)
* LLVM 3.9.0 or later (optional, needed for the Clang Code Model)
The installed toolchains have to match the one Qt was compiled with.
......
......@@ -132,7 +132,7 @@
\list 1
\li Acquire Clang 3.8.0 or higher in one of the following ways:
\li Acquire Clang 3.9.0 or higher in one of the following ways:
\list
......
var Environment = loadExtension("qbs.Environment")
var File = loadExtension("qbs.File")
var FileInfo = loadExtension("qbs.FileInfo")
var MinimumLLVMVersion = "3.8.0"
var MinimumLLVMVersion = "3.9.0"
var Process = loadExtension("qbs.Process")
function readOutput(executable, args)
......@@ -28,7 +28,7 @@ function llvmConfig(qbs, qtcFunctions)
{
var llvmInstallDirFromEnv = Environment.getEnv("LLVM_INSTALL_DIR")
var llvmConfigVariants = [
"llvm-config", "llvm-config-3.8", "llvm-config-3.9", "llvm-config-4.0", "llvm-config-4.1"
"llvm-config", "llvm-config-3.9", "llvm-config-4.0", "llvm-config-4.1"
];
// Prefer llvm-config* from LLVM_INSTALL_DIR
......
......@@ -96,8 +96,8 @@ LIBTOOLING_LIBS += $$CLANGTOOLING_LIBS $$LLVM_STATIC_LIBS
contains(QMAKE_DEFAULT_INCDIRS, $$LLVM_INCLUDEPATH): LLVM_INCLUDEPATH =
isEmpty(LLVM_VERSION): error("Cannot determine clang version at $$LLVM_INSTALL_DIR")
!versionIsAtLeast($$LLVM_VERSION, 3, 8, 0): {
error("LLVM/Clang version >= 3.8.0 required, version provided: $$LLVM_VERSION")
!versionIsAtLeast($$LLVM_VERSION, 3, 9, 0): {
error("LLVM/Clang version >= 3.9.0 required, version provided: $$LLVM_VERSION")
}
unix:LLVM_CXXFLAGS = -fno-rtti -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment